Create Report Template

POST /pcrs/1.0/report/template

Create a new compliance report template for the authenticated subscription. All roles (Reader, Scanner, Manager, Auditor, Unit Manager) are permitted to create templates.

Input ParametersInput Parameters

Parameter Name

Required / Optional

Data Type

Description

title Required String Template name
type Required String Template type. See Template Types above
isGlobal={true|false} Optional Boolean If set to true, the template is visible to all users, else set as false. By default, the value is set to false.
settings Optional String Key-value settings for the template. Defaults are applied per type if omitted.

Sample - Create mandate report templateSample - Create mandate report template

API Request

curl --location ''
<gateway_base_url>/pcrs/1.0/report/template' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <JWT_Token>' \
--data '{
  "title": "My Mandate Template",
  "type": "mandate",
  "isGlobal": true,
  "settings": {
        "filter.policy.controls": "true",
        "report.settings": "true",
        "report.summary": "true",
        "graph.mandate": "true",
        "graph.requirement": "true",
        "graph.policy": "true",
        "details": "true",
        "control.posture": "true",
        "glossary": "true",
        "include_posture_status": "0,1,2",
        "include_control_criticality": "0,1,2,3,4,5",
        "group.by": "1"
  }
}'

JSON Output

{
    "templateId": 4651201,
    "title": "My Mandate Template",
    "type": "mandate",
    "isGlobal": true,
    "owner": "quays_zd38",
    "createdAt": "2026-07-23T07:22:11Z",
    "settings": {
        "group.by": "1",
        "filter.policy.controls": "true",
        "report.settings": "true",
        "report.summary": "true",
        "graph.mandate": "true",
        "graph.requirement": "true",
        "graph.policy": "true",
        "details": "true",
        "control.posture": "true",
        "glossary": "true",
        "include_posture_status": "0,1,2",
        "include_control_criticality": "0,1,2,3,4,5"
    }
}

Sample - Create policy report templateSample - Create policy report template

API Request

curl --location ''
<gateway_base_url>/pcrs/1.0/report/template' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <JWT_Token>' \
--data '{
  "title": "My Policy Template",
  "type": "policy",
  "settings": {
        "report_group_by": "group_by_hosts",
        "report_sort_by": "sort_by_ip",
        "include_posture_status": "7",
        "include_report_summary": "true",
        "include_host_stats": "true",
        "include_report_details": "true",
        "include_control_rationale": "true",
        "include_control_evidence": "true",
        "include_control_ext_evidence": "true",
        "include_control_exceptions": "true",
        "include_exceptions_history": "true",
        "include_host_summary": "true",
        "include_appendix": "true",
        "include_control_scan_parameter": "true",
        "trend_duration": "30",
        "include_asset_tag": "true",
        "include_section_details": "false",
        "include_category_details": "false",
        "include_pa_report_trurisk": "false",
        "include_scan_source_details": "false",
        "include_control_previous_posture": "true",
        "include_failed_control_remediation": "true",
        "include_errored_control_remediation": "true",
        "include_control_not_expected_values": "true",
        "include_control_required_values": "true"
  }
}'

JSON Output

  {
    "templateId": 4651203,
    "title": "My Policy Template",
    "type": "policy",
    "isGlobal": false,
    "owner": "quays_zd38",
    "createdAt": "2026-07-23T07:27:21Z",
    "settings": {
        "report_group_by": "group_by_hosts",
        "report_sort_by": "sort_by_ip",
        "include_posture_status": "7",
        "include_report_summary": "true",
        "include_host_stats": "true",
        "include_report_details": "true",
        "include_control_rationale": "true",
        "include_control_evidence": "true",
        "include_control_ext_evidence": "true",
        "include_control_exceptions": "true",
        "include_exceptions_history": "true",
        "include_host_summary": "true",
        "include_appendix": "true",
        "include_control_scan_parameter": "true",
        "trend_duration": "30",
        "include_asset_tag": "true",
        "include_section_details": "false",
        "include_category_details": "false",
        "include_pa_report_trurisk": "false",
        "include_scan_source_details": "false",
        "include_control_previous_posture": "true",
        "include_failed_control_remediation": "true",
        "include_errored_control_remediation": "true",
        "include_control_not_expected_values": "true",
        "include_control_required_values": "true"
    }
}

Sample - Create STIG report templateSample - Create STIG report template

API Request

curl --location ''
<gateway_base_url>/pcrs/1.0/report/template' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <JWT_Token>' \
--data '{
  "title": "My STIG Template",
  "type": "stig",
  "isGlobal": true,
  "settings": {
        "include_severity": "1,2,3",
        "rule_statistics": "true",
        "compliant_rule_stats_by_severity": "true",
        "report_details": "true",
        "host_statistics": "true",
        "net_bios": "true",
        "tracking_method": "true",
        "dns": "true",
        "operating_system": "true",
        "network": "true",
        "instance": "true",
        "for_passed_control": "true",
        "for_error_control": "true",
        "control_rationale": "true",
        "group.by": "1",
        "include_posture": "0,1,1000",
        "evidence": "true",
        "extended_evidence": "true",
        "for_failed_control": "true",
        "rule_description": "true",
        "rule_posture": "true",
        "cci": "true",
        "vuln_description": "true",
        "vuln_posture": "true",
        "glossary": "true",
        "appendix": "true"
  }
}'

JSON Output

 {
    "templateId": 4651205,
    "title": "My STIG Template",
    "type": "stig",
    "isGlobal": true,
    "owner": "quays_zd38",
    "createdAt": "2026-07-23T07:35:34Z",
    "settings": {
        "group.by": "1",
        "include_posture": "0,1,1000",
        "include_severity": "1,2,3",
        "rule_statistics": "true",
        "compliant_rule_stats_by_severity": "true",
        "report_details": "true",
        "host_statistics": "true",
        "net_bios": "true",
        "tracking_method": "true",
        "dns": "true",
        "operating_system": "true",
        "network": "true",
        "instance": "true",
        "for_passed_control": "true",
        "for_error_control": "true",
        "control_rationale": "true",
        "evidence": "true",
        "extended_evidence": "true",
        "for_failed_control": "true",
        "rule_description": "true",
        "rule_posture": "true",
        "cci": "true",
        "vuln_description": "true",
        "vuln_posture": "true",
        "glossary": "true",
        "appendix": "true"
    }
}

Sample - Create scorecard report templateSample - Create scorecard report template

API Request

curl -X POST "<gateway_base_url>/pcrs/1.0/report/template" \
  -H "Authorization: Bearer <JWT_Token>" \
  curl --location ''
<gateway_base_url>/pcrs/1.0/report/template' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Bearer_Token>' \
--data '{
  "title": "My Scorecard Template",
  "type": "cm_score",
  "isGlobal": true,
  "settings": {
        "include_summary": "true",
        "include_overall_by_policy": "true",
        "include_change_by_policy": "true",
        "include_change_by_policy_asset": "true",
        "include_change_by_policy_tech": "true",
        "include_overall_by_asset": "true",
        "include_change_by_asset": "true",
        "include_change_by_asset_policy": "true",
        "include_change_by_asset_tech": "true",
        "include_overall_by_tech": "true",
        "include_change_by_tech": "true",
        "include_top_host_change": "true",
        "include_top_control_change": "true",
        "include_criticality": "true",
        "include_fail_by_criticality": "true",
        "include_overall_by_criticality": "true",
        "include_change_by_criticality": "true",
        "include_change_by_criticality_policy": "true",
        "include_change_by_criticality_asset": "true",
        "include_change_by_criticality_tech": "true",
        "include_failed_controls_by_criticality": "true",
        "compliance_scorecard_report_timeframe": "30",
        "compliance_scorecard_report_display": "10",
        "compliance_scorecard_report_failed_controls_display": "5"
  }
}'

JSON Output

  {
    "templateId": 4651207,
    "title": "My Scorecard Template",
    "type": "cm_score",
    "isGlobal": true,
    "owner": "quays_zd38",
    "createdAt": "2026-07-23T07:37:24Z",
    "settings": {
        "include_summary": "true",
        "include_overall_by_policy": "true",
        "include_change_by_policy": "true",
        "include_change_by_policy_asset": "true",
        "include_change_by_policy_tech": "true",
        "include_overall_by_asset": "true",
        "include_change_by_asset": "true",
        "include_change_by_asset_policy": "true",
        "include_change_by_asset_tech": "true",
        "include_overall_by_tech": "true",
        "include_change_by_tech": "true",
        "include_top_host_change": "true",
        "include_top_control_change": "true",
        "include_criticality": "true",
        "include_fail_by_criticality": "true",
        "include_overall_by_criticality": "true",
        "include_change_by_criticality": "true",
        "include_change_by_criticality_policy": "true",
        "include_change_by_criticality_asset": "true",
        "include_change_by_criticality_tech": "true",
        "include_failed_controls_by_criticality": "true",
        "compliance_scorecard_report_timeframe": "30",
        "compliance_scorecard_report_display": "10",
        "compliance_scorecard_report_failed_controls_display": "5"
    }
}

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.